logging:
  level:
    digital.laboratory.platform.camera.mapper: debug

server:
  port: 5208

mybatis-plus:
  type-handlers-package: digital.laboratory.platform.imr.config
  type-aliases-package: digital.laboratory.platform.imr.entity
  mapper-locations: classpath:mapper/*Mapper.xml
  typeEnumsPackage: digital.laboratory.platform.imr.entity.enums # 支持统配符 * 或者 ; 分割
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl

spring:
  application:
    name: @artifactId@
  cloud:
    nacos:
      discovery:
        server-addr: ${NACOS_HOST:dlp-nacos}:${NACOS_PORT:8848}
      config:
        server-addr: ${spring.cloud.nacos.discovery.server-addr}
        file-extension: yml
        shared-configs:
          - application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
  profiles:
    active: @profiles.active@
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: 7990016
    url: jdbc:mysql://dlp-mysql:3306/dlp_identification_material_repository?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&allowMultiQueries=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true&rewriteBatchedStatements=true
  servlet:
        multipart:
          # 根据实际需求作调整
          # 默认最大上传文件大小为1M, 单个文件大小
          max-file-size: 20MB
          # 默认最大请求大小为10M, 总上传的数据大小
          max-request-size: 55MB
#  main:
#      allow-bean-definition-overriding: true

# 文件上传相关 支持阿里云、华为云、腾讯、minio
#oss:
#    endpoint: http://127.0.0.1:9000
#    accessKey: 2PRf8hGarvXOVRTK
#    secretKey: Ez564zLT2blBax5uv19kFq3nbFbLXB2k
#    bucket-name: fan-bucket

# 文件上传相关 支持阿里云、华为云、腾讯、minio
oss:
  endpoint: http://127.0.0.1:9000
  accessKey: dlp
  secretKey: 87990016
  bucket-name: dlpfiles




